Update a broadcast
curl --request PATCH \
--url https://api.nateq.io/api/v1/broadcasts/{id} \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json' \
--data '
{
"broadcastName": "<string>",
"contactIds": [
"<string>"
],
"description": "<string>",
"emailVariables": {},
"isDraft": true,
"scheduledAt": "<string>",
"sendNow": true,
"senderEmailAddressId": "<string>",
"subjectOverride": "<string>",
"templateVariables": {
"body": [
{
"type": "<string>",
"value": "<string>"
}
],
"header": [
{
"type": "<string>",
"value": "<string>"
}
],
"headerMedia": "<string>",
"url": {
"type": "<string>",
"value": "<string>"
}
}
}
'import requests
url = "https://api.nateq.io/api/v1/broadcasts/{id}"
payload = {
"broadcastName": "<string>",
"contactIds": ["<string>"],
"description": "<string>",
"emailVariables": {},
"isDraft": True,
"scheduledAt": "<string>",
"sendNow": True,
"senderEmailAddressId": "<string>",
"subjectOverride": "<string>",
"templateVariables": {
"body": [
{
"type": "<string>",
"value": "<string>"
}
],
"header": [
{
"type": "<string>",
"value": "<string>"
}
],
"headerMedia": "<string>",
"url": {
"type": "<string>",
"value": "<string>"
}
}
}
headers = {
"Authorization": "<api-key>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
broadcastName: '<string>',
contactIds: ['<string>'],
description: '<string>',
emailVariables: {},
isDraft: true,
scheduledAt: '<string>',
sendNow: true,
senderEmailAddressId: '<string>',
subjectOverride: '<string>',
templateVariables: {
body: JSON.stringify([{type: '<string>', value: '<string>'}]),
header: [{type: '<string>', value: '<string>'}],
headerMedia: '<string>',
url: {type: '<string>', value: '<string>'}
}
})
};
fetch('https://api.nateq.io/api/v1/broadcasts/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"ageGroupBreakdown": {},
"audienceSegment": "<string>",
"audienceSize": 123,
"avgResponseTime": 123,
"bounceRate": 123,
"broadcastName": "<string>",
"clickRate": 123,
"completedAt": "<string>",
"conversionRate": 123,
"cost": 123,
"createdAt": "<string>",
"deliveredCount": 123,
"description": "<string>",
"deviceBreakdown": {},
"emailVariables": {},
"errorMessage": "<string>",
"failedCount": 123,
"hasEmojis": true,
"hasImages": true,
"hasLinks": true,
"id": "<string>",
"isABTest": true,
"isDraft": true,
"locationBreakdown": {},
"messageLength": 123,
"openRate": 123,
"organizationId": "<string>",
"peakEngagementHour": 123,
"readCount": 123,
"recipients": [
{
"broadcast": "<unknown>",
"broadcastId": "<string>",
"contact": {
"activities": [
{
"actorId": "<string>",
"actorName": "<string>",
"actorType": "<string>",
"contactId": "<string>",
"createdAt": "<string>",
"description": "<string>",
"id": "<string>",
"metadata": "<string>",
"newValue": "<string>",
"oldValue": "<string>",
"updatedAt": "<string>"
}
],
"avatar": "<string>",
"channelData": "<string>",
"company": {
"domain": "<string>",
"id": "<string>",
"name": "<string>"
},
"companyId": "<string>",
"companyName": "<string>",
"country": "<string>",
"createdAt": "<string>",
"doNotContact": true,
"email": "<string>",
"externalId": "<string>",
"id": "<string>",
"isAnonymous": true,
"isPotentialClient": true,
"language": "<string>",
"name": "<string>",
"organizationId": "<string>",
"phone": "<string>",
"position": "<string>",
"source": "<string>",
"tags": [
{
"color": "<string>",
"createdAt": "<string>",
"displayName": "<string>",
"id": "<string>",
"name": "<string>",
"organizationId": "<string>",
"updatedAt": "<string>"
}
],
"updatedAt": "<string>",
"whatsappOptedOut": true,
"whatsappOptedOutAt": "<string>",
"widgetGuestId": "<string>"
},
"contactId": "<string>",
"createdAt": "<string>",
"deliveredAt": "<string>",
"errorCode": "<string>",
"errorMessage": "<string>",
"externalMessageId": "<string>",
"failedAt": "<string>",
"id": "<string>",
"readAt": "<string>",
"repliedAt": "<string>",
"sentAt": "<string>",
"updatedAt": "<string>"
}
],
"repliedCount": 123,
"revenue": 123,
"roi": 123,
"scheduledAt": "<string>",
"sendNow": true,
"senderEmailAddressId": "<string>",
"sentCount": 123,
"startedAt": "<string>",
"subjectOverride": "<string>",
"targetDemographic": "<string>",
"templateChannel": "<string>",
"templateId": "<string>",
"templateVariables": {
"body": [
{
"type": "<string>",
"value": "<string>"
}
],
"header": [
{
"type": "<string>",
"value": "<string>"
}
],
"headerMedia": "<string>",
"url": {
"type": "<string>",
"value": "<string>"
}
},
"totalRecipients": 123,
"trendPercentage": 123,
"unsubscribeRate": 123,
"updatedAt": "<string>",
"variantName": "<string>",
"winningVariant": true
},
"error": {
"code": "<string>",
"details": "<unknown>",
"message": "<string>"
},
"message": "<string>",
"meta": {
"aiTranslation": "<string>",
"apiKeyUsage": {
"limit": 123,
"unlimited": true,
"used": 123
},
"callCapabilities": {
"aiHandling": "<string>",
"aiHumanTransfer": true,
"analytics": "<string>",
"businessHoursRouting": true,
"enabled": true,
"multiLanguageAi": true,
"queueManagement": true,
"recording": true,
"routing": "<string>"
},
"count": 123,
"dataRetentionCapability": "<string>",
"endCursor": "<string>",
"hasNext": true,
"hasPrevious": true,
"limit": 123,
"page": 123,
"pageSize": 123,
"pendingCount": 123,
"routingCapability": "<string>",
"ssoCapability": "<string>",
"startCursor": "<string>",
"total": 123,
"totalPages": 123
},
"success": true
}Update a broadcast
Update a broadcast by ID.
PATCH
/
broadcasts
/
{id}
Update a broadcast
Authorizations
Your API key as a Bearer token: Authorization: Bearer tg_live_...
Path Parameters
Broadcast ID
Body
application/json
Fields to update
Required string length:
1 - 255Minimum array length:
1Maximum string length:
1000Show child attributes
Show child attributes
Email-only (present when Channel == "email")
Show child attributes
Show child attributes
Was this page helpful?
⌘I